Skip to main content
v1

List all managed processes.

GET /v1/processes: request parameters and responses.

GET /v1/processes

Returns a list of all processes (running and exited) currently tracked by the runtime, sorted by process ID.

Parameters

NameInRequiredTypeDescription
ownerqueryNo

Parameter schemas

[
  {
    "name": "owner",
    "in": "query",
    "required": false,
    "schema": {
      "allOf": [
        {
          "$ref": "#/components/schemas/ProcessOwner"
        }
      ],
      "nullable": true
    }
  }
]

Related schemas: ProcessOwner.

Responses

200

List processes

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProcessListResponse"
  }
}

Related schemas: ProcessListResponse.

501

Process API unsupported on this platform

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.